#!/bin/ksh
# Almacena en la variable sdcard el path relativo del dispositivo SD
sdcard=`ls /mnt|grep sdcard.*t`

# Almacena en la variable SDPath el path absoluto del dispositivo SD
SDPath=/mnt/$sdcard

# Monta la tarjeta SD
mount -u $SDPath

# Muestra la pantalla de inicio del proceso
$SDPath/_utils/showScreen $SDPath/_screens/scriptStart.png

# Borra el archivo .done si lo hubiera
rm -f  $SDPath/.done

# Crea el archivo .started para indicar el comienzo del proceso
echo started > $SDPath/.started

# Monta el filesystem del MMI
mount -uw /mnt/efs-system

# Hace una copia de seguridad de las pantallas almacenadas en la tarjeta SD
cp -v -r /mnt/efs-system/etc/splashscreens/* $SDPath/backup/splashscreens/

# Sube las pantallas modificadas de la SD al MMI
cp -v -r $SDPath/splashscreens/* /mnt/efs-system/etc/splashscreens/

# Muestra la pantalla de finalizacin del proceso
$SDPath/_utils/showScreen $SDPath/_screens/scriptDone.png

# Crea el archivo .done para indicar que ha terminado el proceso
echo done > $SDPath/.done

# Borra el archivo .started creado previamente
rm -f  $SDPath/.started
