#!/bin/ksh
# Almacena en la variable sdcard el path relativo del dispositivo SD
sdcard=`ls /mnt|grep sdcard.*t`

# Almacena en la variable SDPath el path absoluto del dispositivo SD
SDPath=/mnt/$sdcard

# Monta la tarjeta SD
mount -u $SDPath

# Muestra la pantalla de inicio del proceso
$SDPath/utils/showScreen $SDPath/screens/scriptStart.png

# Borra el archivo .done si lo hubiera
rm -f  $SDPath/.done

# Crea el archivo .started para indicar el comienzo del proceso
echo started > $SDPath/.started

# Monta el filesystem del MMI
mount -uw /mnt/efs-system

# Añade la ruta por defecto y el CS_RESOLVE
route add default 192.168.1.254
setconf _CS_RESOLVE nameserver_192.168.1.254

# Muestra la pantalla de finalización del proceso
$SDPath/utils/showScreen $SDPath/screens/scriptDone.png

# Crea el archivo .done para indicar que ha terminado el proceso
echo done > $SDPath/.done

# Borra el archivo .started creado previamente
rm -f  $SDPath/.started
